Get the Last N Depth Snapshots
HTTP Request
- GET
/api/v1/contract/depth_commits/{symbol}/{limit}
Request Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| symbol | string | true | Contract symbol |
| limit | int | true | Number of rows |
Response Parameters
| Parameter | Type | Description |
|---|---|---|
| asks | List<Numeric[]> | Ask depth |
| bids | List<Numeric[]> | Bid depth |
| version | long | Version |
Response
{
"success": true,
"code": 0,
"data": [
{
"asks": [],
"bids": [
[
3818.91,
272,
1
]
],
"version": 26457599299
},
{
"asks": [],
"bids": [
[
3818.89,
1524,
3
]
],
"version": 26457599298
},
{
"asks": [],
"bids": [
[
3818.89,
1123,
2
]
],
"version": 26457599297
},
{
"asks": [],
"bids": [
[
3818.87,
788,
1
]
],
"version": 26457599296
},
{
"asks": [],
"bids": [
[
3818.88,
886,
1
]
],
"version": 26457599295
}
]
}